'Acme.Demo:Page':
  superTypes:
    'Neos.Neos:Document': true
  childNodes:
    main:
      type: 'Neos.Neos:ContentCollection'

'Acme.Demo:TwoColumn':
  superTypes:
    'Neos.Neos:Content': true
  ui:
    label: 'Two column content'
    group: 'structure'
  childNodes:
    column0:
      type: 'Neos.Neos:ContentCollection'
    column1:
      type: 'Neos.Neos:ContentCollection'

'Acme.Demo:ThreeColumn':
  superTypes:
    'Neos.Neos:Content': true
  ui:
    label: 'Three column content'
    group: 'structure'
  childNodes:
    column0:
      type: 'Neos.Neos:ContentCollection'
    column1:
      type: 'Neos.Neos:ContentCollection'
    column2:
      type: 'Neos.Neos:ContentCollection'

'Acme.Demo:List':
  superTypes:
    'Neos.Neos:Content': true
  ui:
    label: 'List content'
    group: 'structure'
  childNodes:
    items:
      type: 'Neos.Neos:ContentCollection'

'Acme.Demo:ListItem':
  superTypes:
    'Neos.Neos:Content': true
  properties:
    text:
      type: 'string'

'Acme.Demo:Headline':
  superTypes:
    'Neos.Neos:Content': true
  ui:
    label: 'Headline content'
  properties:
    title:
      type: string
      ui:
        inlineEditable: true

'Acme.Demo:Text':
  superTypes:
    'Neos.Neos:Content': true
  ui:
    label: 'Text content'
    group: 'default'
  properties:
    text:
      type: string
      ui:
        inlineEditable: true

'Acme.Demo:Html':
  superTypes:
    'Neos.Neos:Content': true
  ui:
    label: 'Html content'
    group: 'default'
  properties:
    source:
      type: string
      ui:
        inspector:
          editor: 'Neos.Neos/Inspector/Editors/CodeEditor'

'Acme.Demo:AssetList':
  superTypes:
    'Neos.Neos:Content': true
  ui:
    label: 'Asset List content'
    group: 'default'
  properties:
    assets:
      type: array<Neos\Media\Domain\Model\Asset>

'Acme.Demo:TeaserGroup':
  superTypes:
    'Neos.Neos:Content': true
    'Neos.Neos:ContentCollection': true
  ui:
    label: 'Teaser Group'
    group: 'default'

'Neos.Neos.BackendSchemaControllerTest:Node':
  abstract: true

'Neos.Neos.BackendSchemaControllerTest:Document':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:Node': true

'Neos.Neos.BackendSchemaControllerTest:Page':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:Document': true
  constraints:
    nodeTypes:
      'Neos.Neos.BackendSchemaControllerTest:SubPage': true

'Neos.Neos.BackendSchemaControllerTest:SubPage':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:Page': true

'Neos.Neos.BackendSchemaControllerTest:Folder':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:Document': true

'Neos.Neos.BackendSchemaControllerTest:Content':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:Node': true

'Neos.Neos.BackendSchemaControllerTest:Text':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:Content': true

'Neos.Neos.BackendSchemaControllerTest:TwoColumn':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:Content': true
  childNodes:
    column0:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          'Neos.Neos.BackendSchemaControllerTest:SimpleNodeType': true
    column1:
      type: 'Neos.Neos:ContentCollection'
      constraints:
        nodeTypes:
          'Neos.Neos.BackendSchemaControllerTest:Document': false
          'Neos.Neos.BackendSchemaControllerTest:SubPage': false
          '*': true


'Neos.Neos.BackendSchemaControllerTest:ParentSimpleNodeType':
  properties:
    text:
      type: string
      defaultValue: 'Vanjie'
      ui:
        label: 'Ru String'

'Neos.Neos.BackendSchemaControllerTest:SimpleNodeType':
  superTypes:
    'Neos.Neos.BackendSchemaControllerTest:ParentSimpleNodeType': true
  properties:
    text:
      type: string
      defaultValue: '0'
      ui:
        label: 'suddenly 0'
